import { type ICoordinates, type IOptionLoader, type RecursivePartial, type ShapeData, type SingleOrMultiple } from "tsparticles-engine";
import type { IConfettiOptions } from "./IConfettiOptions";
export declare class ConfettiOptions implements IConfettiOptions, IOptionLoader<IConfettiOptions> {
    angle: number;
    colors: SingleOrMultiple<string>;
    count: number;
    decay: number;
    disableForReducedMotion: boolean;
    drift: number;
    gravity: number;
    position: ICoordinates;
    scalar: number;
    shapeOptions: ShapeData;
    shapes: SingleOrMultiple<string>;
    spread: number;
    startVelocity: number;
    ticks: number;
    zIndex: number;
    constructor();
    get origin(): ICoordinates;
    set origin(value: ICoordinates);
    get particleCount(): number;
    set particleCount(value: number);
    load(data?: RecursivePartial<IConfettiOptions>): void;
}
